Wireshark-bugs: [Wireshark-bugs] [Bug 3995] New: DSI/AFP dissectors need support for AFP 3.3
Date: Wed, 9 Sep 2009 21:57:56 -0700 (PDT)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3995

           Summary: DSI/AFP dissectors need support for AFP 3.3
           Product: Wireshark
           Version: SVN
          Platform: x86-64
        OS/Version: Mac OS X 10.6
            Status: NEW
          Severity: Normal
          Priority: Medium
         Component: Wireshark
        AssignedTo: [email protected]
        ReportedBy: [email protected]


Created an attachment (id=3637)
 --> (https://bugs.wireshark.org/bugzilla/attachment.cgi?id=3637)
Capture file that shows the opensession DSI command

Build Information:
wireshark 1.3.0 (SVN Rev 29813 from /trunk)

Copyright 1998-2009 Gerald Combs <[email protected]> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled with GTK+ 2.16.6, with GLib 2.20.5, with libpcap 1.0.0, with libz
1.2.3, without POSIX capabilities, without libpcre, without SMI, without
c-ares,
without ADNS, without Lua, without Python, without GnuTLS, without Gcrypt, with
MIT Kerberos, without GeoIP, without PortAudio, without AirPcap.
NOTE: this build doesn't support the "matches" operator for Wireshark filter
syntax.

Running on Darwin 10.0.0 (MacOS 10.6.0), with libpcap version 1.0.0.

Built using gcc 4.2.1 (Apple Inc. build 5646).
--

The current AFP dissector misses some features that are now released and
documented by Apple.  The attached patch addresses this.


-- 
Configure bugmail: https://bugs.wireshark.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.